# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [3.3.3](https://github.com/danielroe/vue-material-design-icons/compare/3.2.1...3.3.3) (2019-08-21)

### [3.2.1](https://github.com/danielroe/vue-material-design-icons/compare/v4.0.0...v3.2.1) (2019-08-21)

## 4.0.0 (2019-08-21)

### 3.3.1 (2019-06-25)


### Bug Fixes

* Add package json and README to build process ([b89ff33](https://github.com/danielroe/vue-material-design-icons/commit/b89ff33))
* publish correct directory ([0aa9af0](https://github.com/danielroe/vue-material-design-icons/commit/0aa9af0))

## 3.3.0 (2019-06-25)


### Bug Fixes

* rectify semantic-release tag format ([736df09](https://github.com/danielroe/vue-material-design-icons/commit/736df09))


### Features

* bump @mdi/js from 3.6.95 to 3.7.95 ([5cab0f4](https://github.com/danielroe/vue-material-design-icons/commit/5cab0f4))

## 3.2.0 (2019-04-24)


### Features

* New icons (mdi dep update) ([0382799](https://github.com/danielroe/vue-material-design-icons/commit/0382799))

## 3.1.0 (2019-03-04)


### Features

* New icons & dependency upgrades ([03b3de1](https://github.com/danielroe/vue-material-design-icons/commit/03b3de1))

## 3.0.0 (2019-02-03)


### ⚠ BREAKING CHANGES

* This is an extremely cautious breaking change, mostly
because an icon library should definitely not cause breakages.

Previously the library required manually added click handlers, which was
fine when declaring the icons inline but not helpful when using them
programmatically with libraries like Vuetify.

### Bug Fixes

* delegate click events ([84f5c00](https://github.com/danielroe/vue-material-design-icons/commit/84f5c00))

## 2.8.0 (2019-02-03)


### Features

* Add ability to change size via a prop ([d4e76ed](https://github.com/danielroe/vue-material-design-icons/commit/d4e76ed))

## 2.7.0 (2019-02-03)


### Features

* Add more icons ([05f3f45](https://github.com/danielroe/vue-material-design-icons/commit/05f3f45))

## 2.6.0 (2019-01-03)


### Features

* Add new icons (update @mdi/js) ([285726e](https://github.com/danielroe/vue-material-design-icons/commit/285726e))

## 2.5.0 (2018-12-23)


### Bug Fixes

* A basic size instructions to README ([66bf350](https://github.com/danielroe/vue-material-design-icons/commit/66bf350))
* IE11 tooltip support ([3966a2d](https://github.com/danielroe/vue-material-design-icons/commit/3966a2d))


### Features

* Add new icons (update @mdi/js) ([23f7868](https://github.com/danielroe/vue-material-design-icons/commit/23f7868))

## 2.4.0 (2018-11-04)


### Features

* New icons (updated mdi) ([236124c](https://github.com/danielroe/vue-material-design-icons/commit/236124c))

## 2.3.0 (2018-10-10)


### Features

* Update to newest version of mdi ([208c0ab](https://github.com/danielroe/vue-material-design-icons/commit/208c0ab))

### 2.1.1 (2018-09-03)


### Bug Fixes

* Fix broken publish ([c7fb649](https://github.com/danielroe/vue-material-design-icons/commit/c7fb649))

## 2.1.0 (2018-09-03)


### Features

* Update mdi (new icons) ([8e2dc27](https://github.com/danielroe/vue-material-design-icons/commit/8e2dc27))

## 2.0.0 (2018-08-18)


### ⚠ BREAKING CHANGES

* Match the component names to the structure recommended
by the Vue style guide. This means all files now begin with a capital
letter, i.e. "android.vue" is now "Android.vue", and the component
names are Pascal-cased instead of camel-cased. i.e.
"CheckboxMarkedCircle" instead of "checkbox-marked-circle".

Other changes include:
- Async build script, to make it a little faster. Also refactored to
  use the new @mdi/svg repo, so some of the build hacks can go away.
- Added some testing and snapshots, to make upgrades quicker to verify.
- Updated to the lastest version of MDI for more icons.
- Updated the LICENSE for 2018
- Added .nvmrc
- Fairly unimportant, but the generated .vue files now pass all the
  rules on the Vue style guide; this should make them a little more
  consistent and easier to read for those familiar with Vue.

### Features

* Upgrade MDI & match vue styleguide ([cfdf17e](https://github.com/danielroe/vue-material-design-icons/commit/cfdf17e)), closes [#1](https://github.com/danielroe/vue-material-design-icons/issues/1) [#2](https://github.com/danielroe/vue-material-design-icons/issues/2)

## 1.6.0 (2018-07-22)


### Features

* Update mdi to 2.5.94 ([6fefdbe](https://github.com/danielroe/vue-material-design-icons/commit/6fefdbe))

### 1.5.1 (2018-05-28)


### Bug Fixes

* Fix release script ([4a7b3df](https://github.com/danielroe/vue-material-design-icons/commit/4a7b3df))

## 1.5.0 (2018-05-28)


### Features

* Update to latest version of material design icons ([57d4857](https://github.com/danielroe/vue-material-design-icons/commit/57d4857))

## 1.4.0 (2018-04-19)


### Bug Fixes

* Make standard-version tag format match existing tags ([13ca214](https://github.com/danielroe/vue-material-design-icons/commit/13ca214))
* Remove CHANGELOG header for standard-version ([cd28237](https://github.com/danielroe/vue-material-design-icons/commit/cd28237))


### Features

* Add standard-version for easier CHANGELOG creation ([826b17d](https://github.com/danielroe/vue-material-design-icons/commit/826b17d))
* Upgrade the build tooling ([52495c0](https://github.com/danielroe/vue-material-design-icons/commit/52495c0))
* Use @mdi/svg from npm instead of git ([7542255](https://github.com/danielroe/vue-material-design-icons/commit/7542255))

## 1.3.0 (2018-04-02)

### 1.2.1 (2018-03-08)

## 1.2.0 (2018-03-07)

## 1.1.0 (2018-02-07)

### 0.8.2 (2017-12-13)

### 0.7.1 (2017-08-06)

## 0.7.0 (2017-08-06)

### 0.6.2 (2017-07-27)

## 0.6.0 (2017-07-25)

## 0.5.0 (2017-07-25)

### 0.3.1 (2017-07-24)

# [3.2.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/3.1.0...3.2.0) (2019-04-24)


### Features

* New icons (mdi dep update) ([0382799](https://gitlab.com/robcresswell/vue-material-design-icons/commit/0382799))



# [3.1.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/3.0.0...3.1.0) (2019-03-04)


### Features

* New icons & dependency upgrades ([03b3de1](https://gitlab.com/robcresswell/vue-material-design-icons/commit/03b3de1))



<a name="3.0.0"></a>
# [3.0.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.8.0...3.0.0) (2019-02-03)


### Bug Fixes

* delegate click events ([84f5c00](https://gitlab.com/robcresswell/vue-material-design-icons/commit/84f5c00))


### BREAKING CHANGES

* This is an extremely cautious breaking change, mostly
because an icon library should definitely not cause breakages.

Previously the library required manually added click handlers, which was
fine when declaring the icons inline but not helpful when using them
programmatically with libraries like Vuetify.



<a name="2.8.0"></a>
# [2.8.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.7.0...2.8.0) (2019-02-03)


### Features

* Add ability to change size via a prop ([d4e76ed](https://gitlab.com/robcresswell/vue-material-design-icons/commit/d4e76ed))



<a name="2.7.0"></a>
# [2.7.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.6.0...2.7.0) (2019-02-03)


### Features

* Add more icons ([05f3f45](https://gitlab.com/robcresswell/vue-material-design-icons/commit/05f3f45))



<a name="2.6.0"></a>
# [2.6.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.5.0...2.6.0) (2019-01-03)


### Features

* Add new icons (update [@mdi](https://gitlab.com/mdi)/js) ([285726e](https://gitlab.com/robcresswell/vue-material-design-icons/commit/285726e))



<a name="2.5.0"></a>
# [2.5.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.4.0...2.5.0) (2018-12-23)


### Bug Fixes

* A basic size instructions to README ([66bf350](https://gitlab.com/robcresswell/vue-material-design-icons/commit/66bf350))
* IE11 tooltip support ([3966a2d](https://gitlab.com/robcresswell/vue-material-design-icons/commit/3966a2d))


### Features

* Add new icons (update [@mdi](https://gitlab.com/mdi)/js) ([23f7868](https://gitlab.com/robcresswell/vue-material-design-icons/commit/23f7868))



<a name="2.4.0"></a>
# [2.4.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.3.0...2.4.0) (2018-11-04)


### Features

* New icons (updated mdi) ([236124c](https://gitlab.com/robcresswell/vue-material-design-icons/commit/236124c))



<a name="2.3.0"></a>
# [2.3.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.1.1...2.3.0) (2018-10-10)


### Features

* Update to newest version of mdi ([208c0ab](https://gitlab.com/robcresswell/vue-material-design-icons/commit/208c0ab))



<a name="2.2.0"></a>
# [2.2.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.1.1...2.2.0) (2018-10-10)


### Features

* Update to newest version of mdi ([208c0ab](https://gitlab.com/robcresswell/vue-material-design-icons/commit/208c0ab))



<a name="2.1.1"></a>
## [2.1.1](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.1.0...2.1.1) (2018-09-03)


### Bug Fixes

* Fix broken publish ([c7fb649](https://gitlab.com/robcresswell/vue-material-design-icons/commit/c7fb649))



<a name="2.1.0"></a>
# [2.1.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/2.0.0...2.1.0) (2018-09-03)


### Features

* Update mdi (new icons) ([8e2dc27](https://gitlab.com/robcresswell/vue-material-design-icons/commit/8e2dc27))



<a name="2.0.0"></a>
# [2.0.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/1.6.0...2.0.0) (2018-08-18)


### Features

* Upgrade MDI & match vue styleguide ([cfdf17e](https://gitlab.com/robcresswell/vue-material-design-icons/commit/cfdf17e)), closes [#1](https://gitlab.com/robcresswell/vue-material-design-icons/issues/1) [#2](https://gitlab.com/robcresswell/vue-material-design-icons/issues/2)


### BREAKING CHANGES

* Match the component names to the structure recommended
by the Vue style guide. This means all files now begin with a capital
letter, i.e. "android.vue" is now "Android.vue", and the component
names are Pascal-cased instead of camel-cased. i.e.
"CheckboxMarkedCircle" instead of "checkbox-marked-circle".

Other changes include:
- Async build script, to make it a little faster. Also refactored to
  use the new @mdi/svg repo, so some of the build hacks can go away.
- Added some testing and snapshots, to make upgrades quicker to verify.
- Updated to the lastest version of MDI for more icons.
- Updated the LICENSE for 2018
- Added .nvmrc
- Fairly unimportant, but the generated .vue files now pass all the
  rules on the Vue style guide; this should make them a little more
  consistent and easier to read for those familiar with Vue.



<a name="1.6.0"></a>
# [1.6.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/1.5.1...1.6.0) (2018-07-22)


### Features

* Update mdi to 2.5.94 ([6fefdbe](https://gitlab.com/robcresswell/vue-material-design-icons/commit/6fefdbe))



<a name="1.5.1"></a>
## [1.5.1](https://gitlab.com/robcresswell/vue-material-design-icons/compare/1.5.0...1.5.1) (2018-05-28)


### Bug Fixes

* Fix release script ([4a7b3df](https://gitlab.com/robcresswell/vue-material-design-icons/commit/4a7b3df))



<a name="1.5.0"></a>
# [1.5.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/1.4.0...1.5.0) (2018-05-28)


### Features

* Update to latest version of material design icons ([57d4857](https://gitlab.com/robcresswell/vue-material-design-icons/commit/57d4857))



<a name="1.4.0"></a>
# [1.4.0](https://gitlab.com/robcresswell/vue-material-design-icons/compare/1.3.0...1.4.0) (2018-04-19)


### Bug Fixes

* Make standard-version tag format match existing tags ([13ca214](https://gitlab.com/robcresswell/vue-material-design-icons/commit/13ca214))
* Remove CHANGELOG header for standard-version ([cd28237](https://gitlab.com/robcresswell/vue-material-design-icons/commit/cd28237))


### Features

* Add standard-version for easier CHANGELOG creation ([826b17d](https://gitlab.com/robcresswell/vue-material-design-icons/commit/826b17d))
* Upgrade the build tooling ([52495c0](https://gitlab.com/robcresswell/vue-material-design-icons/commit/52495c0))
* Use [@mdi](https://gitlab.com/mdi)/svg from npm instead of git ([7542255](https://gitlab.com/robcresswell/vue-material-design-icons/commit/7542255))



## [1.3.0] - 2018-04-02
- Updated to use icons from v2.2.43 of [MaterialDesign]
  (https://github.com/Templarian/MaterialDesign)

## [1.2.1] - 2018-03-08

### Changed
- Updated `styles.css` so that it was actually valid CSS. Previously it was
  SCSS. *facepalm*

## [1.2.0] - 2018-03-07

### Changed
- Updated the `MaterialDesign-SVG` dependency, adding many new icons
- Moved the internal tooling to Yarn
- Slightly changed the repo description wording

## [1.1.0] - 2018-02-07

### Added
- Added a `fillColor` prop that lets you set a fill colour via component prop
  rather than CSS. Thanks to [Sagar Subedi](https://gitlab.com/sagarSubedi) for
  the change.

### Changed
- Modified the base template to set a default title via prop definition, instead
  of using a computed prop. This shouldn't make any outward difference, but makes
  the code a little cleaner.

### Fixed
- Improved the package.json scripts so that they work from a fresh clone
  of the repo.

## [1.0.0] - 2018-01-09

### Added
- Added a "Props" section to the README
- Added a `decorative` prop that toggles whether icons are hidden from
  screen readers. This is false by default (i.e. icons are shown to screen
  readers)

### Changed
- Changed the icon IDs to classes (i.e. `#android-icon` is now `.android-icon`)
  to avoid invalid HTML when using the same icon multiple times in one page
- Changed the `aria-labelled-by` attribute to an `aria-label` attribute to
  avoid using duplicate IDs
- Changed the wrapping element from a `<div>` to a `<span>`

## [0.8.2] - 2017-12-13

### Changed
- Small improvements to the README, such as extra tips, and formatting fixes

## [0.8.1] - 2017-12-11

### Fixed
- Fixed the excessive padding around the `title`

## [0.8.0] - 2017-12-11

### Changed
- Updated the `MaterialDesign-SVG` dependency, adding many new icons
- Updated to a new version of `mustache`
- Added credit referencing the `mdi-vue` library

## [0.7.1] - 2017-08-06

### Added
- Added a "Tips" section to the `README`

## [0.7.0] - 2017-08-06

### Added
- Added a `title` prop to the icons, allowing the title to be customised. The
  default is still `<icon-name>-icon`, e.g. `android-icon`

### Changed
- Changed the title ID from `<icon-name>-title` to `<icon-name>-icon-title`

## [0.6.3] - 2017-07-27

### Fixed
- Added a note about finding the icon list to the `README`

## [0.6.2] - 2017-07-27

### Fixed
- Made the icon source more explicit in the `README`

## [0.6.1] - 2017-07-25

### Fixed
- Added the missing `CHANGELOG` entry for 0.6.0

## [0.6.0] - 2017-07-25

### Changed
- Changed from the
  [MaterialDesign](https://github.com/Templarian/MaterialDesign) repo to
  [MaterialDesign-SVG](https://github.com/Templarian/MaterialDesign-SVG) repo
  to take advantage of the smaller repo and compressed paths. Overall, this
  reduces the size of this repo and its distributed icons. Yay!

## [0.5.0] - 2017-07-25

### Changed
- Updated the `README` to make install steps clearer and added additional
  credits
- Small fixes to the `CHANGELOG` formatting

## [0.4.0] - 2017-07-25

### Changed
- The CSS is no longer included in each component by default. It can be
  optionally added by including `vue-material-design-icons/styles.css`
- `README` updated to include adding the CSS

## [0.3.1] - 2017-07-24

### Changed
- Updated the package.json keywords
- Small fixes to `README` and `CHANGELOG`

## [0.3.0] - 2017-07-24

### Added
- Added a `CHANGELOG` to better track updates
- Added `LICENSE` to distributed package

### Changed
- Split out CSS from the template file, to reduce the overall package size
